Subject: [Geopriv] RE: draft-ietf-geopriv-radius-lo-01.txt - CDMA operator-name prefix

From: [email-masked]
Date: Fri, 26 Nov 2004 13:35:48 +0200

Joel, et'al,

Comments inline.

Cheers,
	Jouni

> -----Original Message-----
> From: Joel M. Halpern [mailto:[email-masked]] 
> Sent: 25. marraskuuta 2004 18:17
> To: Korhonen, Jouni /TeliaSonera Finland Oyj
> Cc: [email-masked]; [email-masked]
> Subject: RE: draft-ietf-geopriv-radius-lo-01.txt - CDMA 
> operator-name prefix
> 
> These codes are being normatively referenced in an IETF standard.
> It is very unusual for the IETF to reference in such a 
> fashion a document 
> that is not publicly and freely available.  The IETF is not usually 
> interested in defining a name space that can only be referenced and 
> understood by a proprietary community.  (Being assigned by a specific 
> community is fine, and in fact frequently necessary for name spaces.)
> 
> This leads to several obvious questions:
> 1) Is there actually a need for any name spaces other than 
> realm?  All CDMA 
> and GSM operators have dedicated names suitable for use as REALMS.

The Operator-name attribute originates from the GSM operator WLAN roaming
community. They have great interest to reuse current existing GSM/GPRS roaming
billing model & systems -- that are rather huge these days. In that context
TADIG code is important as it is used to identify operators, roaming partners 
and such for roaming billing.

There are similar things for e.g. CDMA roaming. I'm currently digging it
out (I don't really have too much knowledge about CIBER based roaming
billing systems).

> 2) If it is important to use other name spaces, then an 
> explanation of why 
> it is needed ought to be included.  And the community that 
> wants their name 
> space useable ought to make their registry publicly readable.

Agree. I could(?) write a bit text for that. Unfortunately the publicy
issue of these roaming specs and procedures is somewhat out of our hands.
Those specs are usually freely usable etc but just not too easily reachable
for organizations outside the operator camp.

> 3) At the very least, it is necessary to explicitly and normatively 
> reference the GSM Association Permanent Reference Document.

Agree.

> Yours,
> Joel M. Halpern
> 
> At 01:37 AM 11/25/2004, [email-masked] wrote:
> > > I did some further digging... there *is* a TADIG naming system
> > > for all operators, see:
> > >
> > >    http://www.gsmworld.com/about/structure/tadig.shtml
> > >
> > > Its defined by GSMA. But I'm still searching for a good reference
> > > that could be put to the document, however.
> >
> >The TADIG code (for GSM: prefix) mentioned in the current draft
> >is defined in GSM Association Permanent Reference Document TD.13.
> >(GSMA PRD TD.13).
> >
> >"The TADIG Code shall consist of 2 fields, with a total length
> >  of 5 characters consisting of a 3-character country code and a
> >  2-character operator (or company) ID."
> >
> >The code is available for anyone for 100£ yearly fee.
> 
> 

_______________________________________________
Geopriv mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/geopriv

---

From: "Joel M. Halpern" <[email-masked]>
Date: Fri, 26 Nov 2004 12:07:44 -0500

Writing a readable explanation of the spaces, and the underlying community 
making the registry list publicly available (as distinct from available for 
$100) would be a big help in making this aspect make sense.

The other thing aspect is that the document says that other name spaces can 
be created.  Either this needs to be changed, with a decent explanation of 
why no more are needed, or a registry for name spaces needs to be defined, 
with a procedure for how / why / when new namespaces can be added.  (Note 
that if only REALM were allowed, this question would not arise, but in 
allowing other namespaces, the question of which ones becomes inevitable.)

Yours,
Joel